コンテンツにスキップ

Send push notification to specific endpoints (batch)

POST
/api/v1/notify/batch

Enqueues a push notification to up to 100 specific subscription endpoints. Set dry_run to validate and count active recipients without enqueueing.

object
endpoints
required

Target subscription endpoints

Array<string>
>= 1 items <= 100 items
payload
required
object
title
required
string
body
required
string
url

Https:// URL only

string format: uri
dry_run

Validate and count active recipients without enqueueing

boolean

Dry run completed without enqueueing

object
ok
required
boolean
dry_run
required
boolean
queued
required
integer
Allowed values: 0
would_send
required
integer

Notifications enqueued

object
queued
required
integer
send_id
required
string

Missing fields / invalid endpoints / too many endpoints / invalid dry_run. An endpoint is rejected (INVALID_ENDPOINT) when it is not HTTPS, points to an internal host, or exceeds 2,048 bytes

Unauthorized

Insufficient scope

Payload too large

Monthly limit exceeded or rate limited (RATE_LIMITED)